Brand: DELOCK
Stock in vendor warehouse: In Stock
Delock USB Stromversorgungskabel Typ-A Stecker zu USB Type-C™ Buchse mit Schalter 0,5 m (81658)..
15,90 €
Ex Tax:13,14 €
Brand: DELOCK
Stock in vendor warehouse: In Stock
Delock USB Stromversorgungskabel Typ-A Stecker zu USB Type-C™ Stecker mit Schalter 1,5 m (81659)..
15,90 €
Ex Tax:13,14 €
Brand: DELOCK
Stock in vendor warehouse: In Stock
Delock USB Type-C™ Ladekabel 15 V für Elektrorasierer kompatibel mit Philips OneBlade Pro 360 HQ7 HQ8 HQ9 Serie - Rasierer Ladegerät Ersatzkabel 1 m (..
17,90 €
Ex Tax:14,79 €
Brand: DELOCK
Stock in vendor warehouse: In Stock
Delock USB Type-C™ Ladekabel 2,3 V für Elektrorasierer kompatibel mit Braun MGK3335, MGK3010, MGK3020 Serie - Rasierer Ladegerät Ersatzkabel 1,5 m (91..
17,90 €
Ex Tax:14,79 €
Brand: DELOCK
Stock in vendor warehouse: In Stock
Delock USB Type-C™ Ladekabel 4,3 V für Elektrorasierer kompatibel mit Philips OneBlade 360 Face + Body - Rasierer Ladegerät Ersatzkabel 1 m (91792)..
17,90 €
Ex Tax:14,79 €
Brand: DELOCK
Stock in vendor warehouse: In Stock
Delock USB Type-C™ Ladekabel 4,8 V für Elektrorasierer kompatibel mit Panasonic ES-LV97, ES-LA63, RE7-51, RE7-59 Serie - Rasierer Ladegerät Ersatzkabe..
17,90 €
Ex Tax:14,79 €
Brand: DELOCK
Stock in vendor warehouse: In Stock
Delock USB Type-C™ Ladekabel 5 V für Elektrorasierer kompatibel mit Hatteker RFC-588, RFC-598, RFC-690, RFC-692, RFC-696, RSCX-7568, RSCX-9598 Serie -..
17,90 €
Ex Tax:14,79 €
Brand: DELOCK
Stock in vendor warehouse: In Stock
Delock USB Type-C™ Ladekabel 5 V für Elektrorasierer kompatibel mit MANSCAPED 2.0 / 3.0 Serie - Rasierer Ladegerät Ersatzkabel 1,2 m (91797)..
17,90 €
Ex Tax:14,79 €
Brand: DELOCK
Stock in vendor warehouse: In Stock
Delock USB Type-C™ Ladekabel 5 V für Elektrorasierer kompatibel mit Philips QP2724, QP2834, QP1924, MG9520 Serie - Rasierer Ladegerät Ersatzkabel 1 m ..
17,90 €
Ex Tax:14,79 €
Brand: DELOCK
Stock in vendor warehouse: In Stock
Delock USB Type-C™ Ladekabel 5 V für Elektrorasierer kompatibel mit Remington HC4250, MB4200, MB6850, XR1330 Serie - Rasierer Ladegerät Ersatzkabel 1,..
17,90 €
Ex Tax:14,79 €
Brand: DELOCK
Stock in vendor warehouse: In Stock
Delock USB Type-C™ Stecker zu DC 5,5 x 2,1 mm Kabel kompatibel mit Starlink Mini, 2 m grau (91820)..
17,90 €
Ex Tax:14,79 €
Brand: DELOCK
Stock in vendor warehouse: In Stock
Delock USB Type-C™ Stecker zu DC 5,5 x 2,1 mm Kabel kompatibel mit Starlink Mini, 3 m grau (91821)..
19,90 €
Ex Tax:16,45 €
Brand: DELOCK
Stock in vendor warehouse: In Stock
Delock USB Type-C™ Stecker zu DC 5,5 x 2,1 mm Kabel kompatibel mit Starlink Mini, 5 m grau (91822)..
21,90 €
Ex Tax:18,10 €
Brand: DELOCK
Stock in vendor warehouse: In Stock
Delock USB-C Kabel USB 2.0 mit Metallmantel Type-C Stecker zu PD 3.0 60 W 1 m (81259)..
18,90 €
Ex Tax:15,62 €
Brand: EQUIP
Stock in vendor warehouse: In Stock
The equip 119463 Active Optical USB-C to C Video+Data+PD Cable is a allows for video output. It uses active optical technology to ensure that signals..
284,89 €
Ex Tax:235,45 €
Brand: DIGITUS
Stock in vendor warehouse: In Stock
DIGITUS - USB-Anschluss - USB-C (M) zu USB-C (M) - 20 V - 3 A - 1 m - 4K Unterstützung - Schwarz..
18,90 €
Ex Tax:15,62 €
Brand: DIGITUS
Stock in vendor warehouse: In Stock
DIGITUS - USB-Kabel - 24 pin USB-C (M) zu 24 pin USB-C (M) - USB2.0 3 A - 1,0m - USB Power Delivery (60W), Spirale - Schwarz (AK-300431-006-S)..
16,90 €
Ex Tax:13,97 €
Brand: DIGITUS
Stock in vendor warehouse: In Stock
DIGITUS - USB-Kabel - USB (M) zu 24 pin USB-C (M) - USB2.0 - 3 A - 1,0m - unterstützt Stromversorgung - Schwarz (AK-300154-010-S)..
5,90 €
Ex Tax:4,88 €
Brand: DIGITUS
Stock in vendor warehouse: In Stock
DIGITUS - USB-Kabel - USB-C (M) bis USB-C (M) - USB2.0 - 3 A - 3m - unterstützt Stromversorgung - Schwarz (AK-300138-030-S)..
9,90 €
Ex Tax:8,18 €
Brand: DIGITUS
Stock in vendor warehouse: In Stock
Digitus ASSMANN - USB-Kabel - USB-C (M) bis USB (M) - USB 2.0 - 3 A - 3 m - geformt - Schwarz (AK-300148-030-S)..
16,90 €
Ex Tax:13,97 €
Brand: DIGITUS
Stock in vendor warehouse: In Stock
DIGITUS DK-300136-010-S - USB-Kabel - USB-C (M) bis USB Typ A (M) - USB 3.0 - 1 m - geformt - Schwarz..
18,90 €
Ex Tax:15,62 €
Brand: DIGITUS
Stock in vendor warehouse: In Stock
Gross depth (mm): 16.00 | Gross height (mm): 115.00 | Gross weight: 0.12 | Gross width (mm): 210.00 | Net weight: 0.07 | Packing quantity: 1.00 | Pape..
9,90 €
Ex Tax:8,18 €
Brand: DIGITUS
Stock in vendor warehouse: In Stock
DIGITUS USB 2.0 Kabel Typ C -A Silikon St/St 2m weiß (AK-300340-020-W)..
16,90 €
Ex Tax:13,97 €
Brand: DIGITUS
Stock in vendor warehouse: In Stock
DIGITUS USB Silicone connection cable USB-C - 0.5m 4.0 Gen3 40G 240W 8K - Kabel - Digital/Daten (AK-300344-005-S)..
24,90 €
Ex Tax:20,58 €